Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.aspects.portlet
Class WindowStatesInterceptor

    java.lang.Object
      org.jboss.portal.portlet.invocation.PortletInterceptor
          org.jboss.portal.portlet.aspects.portlet.WindowStatesInterceptor

All Implemented Interfaces:
  Interceptor

    public class WindowStatesInterceptor

extends PortletInterceptor

The WindowStatesInterceptor computes the window state for the request as well as the supported window states.

Version:
  $Revision: 7028 $
Author:
  Julien Viet

Constructor Summary
`WindowStatesInterceptor()`

Method Summary
`protected java.util.Set` | `getWindowStates(PortletInvocation invocation)` Compute the supported window states for this invocation.
`protected java.lang.Object` | `invoke(PortletInvocation invocation)`

Methods inherited from class org.jboss.portal.portlet.invocation.PortletInterceptor
`invoke`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowStatesInterceptor

    public WindowStatesInterceptor()

Method Detail

### invoke

    protected java.lang.Object invoke(PortletInvocation invocation)
                               throws java.lang.Exception,
                                      InvocationException

  Specified by:
    `invoke` in class `PortletInterceptor`
  Throws:
    `java.lang.Exception`
    `InvocationException`

### getWindowStates

    protected java.util.Set getWindowStates(PortletInvocation invocation)
                                     throws InvocationException

  Compute the supported window states for this invocation.

  Throws:
    `InvocationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD